Bug 75076 - Feature: (Un)Minimize All / (Un)Shade All option in Gnome Window List applet
Feature: (Un)Minimize All / (Un)Shade All option in Gnome Window List applet
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gnome-panel (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-04 00:26 EDT by Dag Wieers
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-07 23:07:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2002-10-04 00:26:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020827

Description of problem:
Sometimes I'd like to minimize all applications to have a look at my desktop or
open just a single application. So, just like Windows has, it makes sense to
have this in the right-click menu of the Window List applet.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.-
2.--
3.---
	

Additional info:
Comment 1 Josiah Royse 2002-10-08 12:13:38 EDT
You can use a keyboard shortcut to perform the "Minimize all".
Comment 2 Havoc Pennington 2002-11-04 17:08:36 EST
In 8.0 there's a Ctrl+Alt+d shortcut. Current GNOME devel versions have a 
panel applet that's a button to do the same thing. 
Having it in the right-click menu on the window list grippy doesn't seem totally
crazy, though it does arguably violate the UI guideline that 
right-click menus contain items that affect the object you right-clicked.

Anyhow, we should report this bug to bugzilla.gnome.org for discussion (and
include a link here to the gnome.org report and vice versa).
Comment 3 Havoc Pennington 2003-01-07 23:07:35 EST
I added it to http://bugzilla.gnome.org/show_bug.cgi?id=92335

Closing here.

Note You need to log in before you can comment on or make changes to this bug.